Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.converters
Interface FileSourcedConverter

All Known Implementing Classes:
  AbstractFileLoader, AbstractFileSaver, ArffLoader, ArffSaver, C45Loader, C45Saver, CSVLoader, CSVSaver, JSONLoader, JSONSaver, LibSVMLoader, LibSVMSaver, MatlabLoader, MatlabSaver, SerializedInstancesLoader, SerializedInstancesSaver, SVMLightLoader, SVMLightSaver, XRFFLoader, XRFFSaver

    public interface FileSourcedConverter

Interface to a loader/saver that loads/saves from a file source.

Version:
  $Revision: 5953 $
Author:
  Mark Hall

Method Summary
`java.lang.String` | `getFileDescription()` Get a one line description of the type of file
`java.lang.String` | `getFileExtension()` Get the file extension used for this type of file
`java.lang.String[]` | `getFileExtensions()` Gets all the file extensions used for this type of file
`boolean` | `getUseRelativePath()` Gets whether relative paths are to be used
`java.io.File` | `retrieveFile()` Return the current source file/ destination file
`void` | `setFile(java.io.File file)` Set the file to load from/ to save in
`void` | `setUseRelativePath(boolean rp)` Set whether to use relative rather than absolute paths

Method Detail

### getFileExtension

    java.lang.String getFileExtension()

  Get the file extension used for this type of file

  Returns:
    the file extension

### getFileExtensions

    java.lang.String[] getFileExtensions()

  Gets all the file extensions used for this type of file

  Returns:
    the file extensions

### getFileDescription

    java.lang.String getFileDescription()

  Get a one line description of the type of file

  Returns:
    a description of the file type

### setFile

    void setFile(java.io.File file)
                 throws java.io.IOException

  Set the file to load from/ to save in

  Parameters:
    `file` - the file to load from
  Throws:
    `java.io.IOException` - if an error occurs

### retrieveFile

    java.io.File retrieveFile()

  Return the current source file/ destination file

  Returns:
    a `File` value

### setUseRelativePath

    void setUseRelativePath(boolean rp)

  Set whether to use relative rather than absolute paths

  Parameters:
    `rp` - true if relative paths are to be used

### getUseRelativePath

    boolean getUseRelativePath()

  Gets whether relative paths are to be used

  Returns:
    true if relative paths are to be used

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD